Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706706 - media-gfx/transfig-3.2.5e : fails to build with -fno-common or gcc-10
Summary: media-gfx/transfig-3.2.5e : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:37 UTC by Toralf Förster
Modified: 2020-02-09 23:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.59 KB, text/plain)
2020-01-27 17:37 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,157.55 KB, text/plain)
2020-01-27 17:37 UTC, Toralf Förster
Details
environment (environment,87.68 KB, text/plain)
2020-01-27 17:37 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.15 KB, application/x-bzip)
2020-01-27 17:37 UTC, Toralf Förster
Details
media-gfx:transfig-3.2.5e:20200127-124137.log (media-gfx:transfig-3.2.5e:20200127-124137.log,75.48 KB, text/plain)
2020-01-27 17:37 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.04 KB, application/x-bzip)
2020-01-27 17:37 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:37:35 UTC
ranlib libtransfig.a
make[2]: Leaving directory '/var/tmp/portage/media-gfx/transfig-3.2.5e/work/transfig.3.2.5e/fig2dev/dev'
rm -f fig2dev
x86_64-pc-linux-gnu-gcc -o fig2dev -O2 -pipe -march=native -fno-common     -Wl,-O1 -Wl,--as-needed -L/usr/lib64   fig2dev.o psfonts.o iso2tex.o arrow.o bound.o colors.o trans_spline.o 	free.o read.o read1_3.o latex_line.o localmath.o  getopt.o dev/libtransfig.a   -L/usr/lib64 -lpng -L/usr/lib64 -lXpm -lm   
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: psfonts.o:(.bss+0x0): multiple definition of `correct_font_size'; fig2dev.o:(.bss+0x888): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: arrow.o:(.bss+0x0): multiple definition of `correct_font_size'; fig2dev.o:(.bss+0x888): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 11:49:38 +0000

emerge -qpvO media-gfx/transfig
[ebuild  N    ] media-gfx/transfig-3.2.5e
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:37:38 UTC
Created attachment 605472 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:37:40 UTC
Created attachment 605474 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:37:43 UTC
Created attachment 605476 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:37:46 UTC
Created attachment 605478 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:37:49 UTC
Created attachment 605480 [details]
media-gfx:transfig-3.2.5e:20200127-124137.log
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:37:52 UTC
Created attachment 605482 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-02-09 23:05:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd9d188a8f54069511f93f0846bb2cd3b5ffff7e

commit cd9d188a8f54069511f93f0846bb2cd3b5ffff7e
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-02-09 23:05:01 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-02-09 23:05:01 +0000

    media-gfx/transfig: Fix GCC10 -fno-common
    
    Closes: https://bugs.gentoo.org/706706
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/transfig-3.2.5e-gcc10-fno-common.patch   | 30 ++++++++++++++++++++++
 media-gfx/transfig/transfig-3.2.5e.ebuild          |  3 ++-
 2 files changed, 32 insertions(+), 1 deletion(-)